Reservation Offerings - Configuration Items API
List configuration items of a reservation offerings
Заголовок раздела «List configuration items of a reservation offerings»List all configuration items of the reservation offering with with a specific ID.
GET /reservation_offerings/:id/cisResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Adobe Reader 9.1.0", "label": "Adobe Reader 9.1.0", "created_at": "2016-03-14T03:11:22-06:00", "sourceID": null, "updated_at": "2016-03-14T03:11:22-06:00", "service": { "name": "Personal Computing", "id": 22, "provider": { "name": "Widget Data Center, Internal IT", "id": 32 } }, "support_team": { "name": "End-User Support, Houston", "id": 9 }, "id": 711, "product": { "name": "Adobe Reader", "brand": "Adobe", "category": "software/browser_viewer_application", "id": 33 }, "status": "in_production", "software": true, "rule_set": "software" }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/reservation_offerings/:id/cis/active: List all active configuration items of a reservation offering with a specific ID/reservation_offerings/:id/cis/inactive: List all inactive configuration items of a reservation offering with a specific ID
POST /reservation_offerings/:id/cis/:ci_idResponse
Заголовок раздела «Response»Status: 200 OK
{}Remove a configuration item from a reservation offering
Заголовок раздела «Remove a configuration item from a reservation offering»Remove the link between a reservation offering with a specific ID and a configuration item with a specific ID.
DELETE /reservation_offerings/:id/cis/:ci_idStatus: 204 No Content
Remove all configuration items from a reservation offering
Заголовок раздела «Remove all configuration items from a reservation offering»Remove all links between a reservation offering with a specific ID and its configuration items.
DELETE /reservation_offerings/:id/cisStatus: 204 No Content